---
title: "Invoice"
date: 2023-08-21
headerImg: "bg.jpg"
icon: "/projects/invoice.svg"
tags: ["sveltekit", "unocss", "prisma", "sqlite"]
draft: true
links:
  [
    ["live", "https://invoice.app.max-richter.dev"],
    ["git", "https://git.max-richter.dev/max/invoice"],
  ]
---
In meiner Freizeit übernehme ich gerne kleinere Aufträge und erledige Botengänge, Aufbauten und Abholungen für andere.  
  
Ein unvermeidlicher Bestandteil dieser Tätigkeiten ist das Erstellen von Rechnungen im PDF-Format. Anfangs habe ich mich dem manuellen Prozess hingegeben und die ersten Rechnungen in Figma erstellt. Doch wie es unter Programmierer*innen oft heißt:

> Wieso sollte ich etwas manuell in 5 Minuten erledigen, was ich in 24 Stunden automatisieren kann?

Aus dieser Überlegung heraus entstand mein neuestes Hobbyprojekt – **"Invoice."**

## Entwicklung

In der Entwicklung habe ich stets das Prinzip 'K.I.S.S.' im Hinterkopf behalten: Keep it simple, stupid. Für dieses Projekt bedeutete das die Auswahl von "langweiligen", aber mir bestens vertrauten Technologien:

[-> SvelteKit](https://kit.svelte.dev)  
Für eine effiziente und reaktive Benutzeroberfläche.

[-> UNOcss](https://unocss.dev/)  
Die schnellere Tailwind Alternative.

[-> TypesafeI18n]()  
Um mehrsprachige Unterstützung ohne komplizierte Logik zu integrieren.

[-> Prisma](https://prisma.io)  
Als Datenbankzugriffslayer für eine reibungslose Datenverwaltung.

[-> SQLite](https://www.sqlite.org/index.html)  
Als zuverlässiges Backend, das sich ideal für kleinere Projekte eignet.

Diese bewährten Technologien bildeten das robuste Fundament, auf dem "Invoice" aufgebaut wurde.


